#!/usr/bin/env python
import urllib2
import xml.etree.cElementTree as et
import re

dic = {
	"media:hash" : "hash",
	"media:content" : "media"
}

def multiple_replace(dic, text):
        pattern = "|".join(map(re.escape, dic.keys()))
        return re.sub(pattern, lambda m: dic[m.group()], text)

f = urllib2.urlopen("https://sourceforge.net/api/file/index/project-id/241033/mtime/desc/limit/40/rss")

xml = et.XML(multiple_replace(dic, f.read()))

url = ""
hash = ""

for node in xml.iter("item"):
	url = node.findtext("link")
	for a in node.iter("media"):
		hash = a.findtext("hash")
	if "_full" in node.findtext("title") and url and hash:
		break
print url + "|" + hash
